Package org.eclipse.microprofile.openapi.apps.airlines.model

## Class Airport

- java.lang.Object
- - org.eclipse.microprofile.openapi.apps.airlines.model.Airport

    public class Airport
    extends Object

### Constructor Summary

Constructors
`Airport()`
`Airport​(List<Flight> flights, Weather weather)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<Flight>` `getFlights()`
`Weather` `getWeather()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Airport

    public Airport()

#### Airport

    public Airport​(List<Flight> flights,
                   Weather weather)

### Method Detail

#### getFlights

    public List<Flight> getFlights()

#### getWeather

    public Weather getWeather()